package com.epson.mobilephone.common.license;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ScrollView;

public class RestoreScrollView extends ScrollView {
    private int mLastY;

    public RestoreScrollView(Context context) {
        super(context);
        mLastY = 0;
    }

    public RestoreScrollView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        mLastY = 0;
    }

    public RestoreScrollView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    protected void onScrollChanged(int i, int i2, int i3, int i4) {
        super.onScrollChanged(i, i2, i3, i4);
        mLastY = i2;
    }

    public int getLastY() {
        return mLastY;
    }
}
